package com.chinaitop.depot.intelligent.ventilation.mapper;

import com.chinaitop.depot.intelligent.ventilation.model.TBusinessApproval;
import com.chinaitop.depot.intelligent.ventilation.model.TBusinessApprovalExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface TBusinessApprovalMapper {
    int countByExample(TBusinessApprovalExample example);

    int deleteByExample(TBusinessApprovalExample example);

    int deleteByPrimaryKey(String id);

    int insert(TBusinessApproval record);

    int insertSelective(TBusinessApproval record);

    List<TBusinessApproval> selectByExample(TBusinessApprovalExample example);

    TBusinessApproval selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") TBusinessApproval record, @Param("example") TBusinessApprovalExample example);

    int updateByExample(@Param("record") TBusinessApproval record, @Param("example") TBusinessApprovalExample example);

    int updateByPrimaryKeySelective(TBusinessApproval record);

    int updateByPrimaryKey(TBusinessApproval record);
}